Subject: Re: Way Forward

From: "David P. Kemp" <[email-masked]>
Date: Tue, 8 Aug 2000 13:03:17 -0400 (EDT)

I agree that the mandatory algorithms should not be specified in CMS,
for exactly this reason.  The message specification is a reasonable
place for S/MIME algorithm requirements.  Other CMS-using applications
will have their own requirements.

Dave

> From: Malte Borcherding <[email-masked]>
> 
> I second Simon's proposal, an additional reason being that some specifications
> reuse the CMS syntax without mandating the same algorithms as CMS does. It 
would
> be easier and clearer to reference one specific CMS syntax document instead of
> saying "CMS, but just the data structures". 
> 
> Malte
> 
> Simon Blake-Wilson wrote:
> > 
> > Hi Russ,
> > 
> > Several other groups within the IETF ... PKIX and TLS for example ... are
> > separating their specifications
> > into two documents ... one for data structures and one for algorithms. I 
think
> > this should also be
> > considered by the S/MIME group ... both because it is an elegant distinction
> > which allows algorithms
> > to be updated without affecting abstract structures, and because it may 
allow
> > the structures document
> > to proceed to standard more quickly in light of the mandatory algorithms 
issue.